Developers

Assigns User(s) to a Board.

POST
/project/assign-board-users

Assigns User(s) to a Board.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Request Body

The new BoardUserAssign resource

  1. body
projectUserIds?array<>|null
boardLeaderActiveUserIds?array<>|
Items0 <= items <= 1
boardId*string
Formatuuid

Response Body

BoardUserAssign resource created

  1. response
id?string
Formatuuid
projectUser?
board?string
Formatuuid
role?string
Default"none"
Value in"none""leader-active"
Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/project/assign-board-users' \  -H 'Content-Type: application/json' \  -d '{  "boardId": "a654038e-9287-48a2-acfd-90b8cfa8b1f4"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "projectUser": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "pictureLg": "string",    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "canLogIn": true,    "phoneNumber": "string",    "jobPositionName": "string",    "hourlyRate": null,    "isExternal": true,    "decorator": "string"  },  "board": "a98884d6-3c76-4114-ba9c-216527a5aac1",  "role": "none"}